textures/taspirpowercomplex/reactor_lightning
{
	qer_editorimage	textures/taspirpowercomplex/lightning
	q3map_nolightmap
	cull	twosided
    {
        map textures/taspirpowercomplex/lightning
        blendFunc GL_ONE GL_ONE
        rgbGen vertex
    }
}

textures/taspirpowercomplex/vortex
{
	qer_editorimage	textures/taspirpowercomplex/hypernova_vortex
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/hypernova_vortex
        blendFunc GL_ONE GL_ONE
        tcMod rotate 200
    }
    {
        map textures/taspirpowercomplex/hypernova_vortex
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen const ( 0.000000 0.000000 0.700000 )
        tcMod rotate 200
    }
}

textures/taspirpowercomplex/reactor_inside
{
	qer_editorimage	textures/factory/ggoo1
	q3map_nolightmap
	cull	twosided
    {
        map textures/factory/ggoo3
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 1.000000 0.700000 0.200000 )
        alphaGen wave sin 0 2 0 0.1
        tcMod scroll 2.332 0
    }
    {
        map textures/factory/ggoo3
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 0.300000 0.100000 1.000000 )
        alphaGen wave sin 0 2 0.333 0.1
        tcMod scroll 2.332 0
    }
    {
        map textures/factory/ggoo3
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 1.000000 0.100000 0.300000 )
        alphaGen wave sin 0 2 0.66 0.1
        tcMod scroll 2.332 0
    }
    {
        map $whiteimage
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin -500 501 0 0.1724
    }
    {
        map $whiteimage
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin -99 99.7 0 0.3532
    }
    {
        map textures/common/stars
        blendFunc GL_ONE GL_ONE
        alphaGen const 1
        tcMod scroll 0 -4
        tcMod rotate 25
    }
}

textures/taspirpowercomplex/dynamo_inside
{
	qer_editorimage	textures/factory/ggoo1
	q3map_nolightmap
    {
        map textures/factory/ggoo1
        tcMod rotate 120
    }
    {
        map $whiteimage
        blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE
        rgbGen const ( 0.400000 0.000000 0.000000 )
    }
    {
        map textures/factory/ggoo3
        blendFunc GL_ONE GL_SRC_COLOR
        rgbGen const ( 0.700000 0.230000 1.000000 )
        tcMod rotate -70
    }
    {
        map $whiteimage
        blendFunc GL_ONE GL_ONE
        rgbGen wave noise 0 0.7 0 3.5
    }
    {
        map $whiteimage
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin -99 99.7 0 0.1
    }
}

textures/taspirpowercomplex/vader_switch_on
{
	qer_editorimage	textures/vjun/vader_switch_on
	polygonOffset
	surfaceparm	nomarks
	surfaceparm	nonsolid
	q3map_nolightmap
    {
        map textures/vjun/vader_switch_on
        blendFunc GL_ONE GL_ONE
        rgbGen identity
    }
}

textures/taspirpowercomplex/vader_switch_off
{
	qer_editorimage	textures/vjun/vader_switch_off
	polygonOffset
	surfaceparm	nomarks
	surfaceparm	nonsolid
    {
        map textures/vjun/vader_switch_off
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/taspirpowercomplex/mp_4_circle_decal
{
	qer_editorimage	textures/taspirpowercomplex/mp_4_circle_decal
	surfaceparm	nonsolid
	polygonOffset
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/mp_4_circle_decal
        blendFunc GL_ONE GL_ONE
        depthWrite
        rgbGen const ( 0.650000 0.600000 0.350000 )
    }
}

textures/taspirpowercomplex/mp_3_circle_decal
{
	qer_editorimage	textures/desert/mp_3_circle_decal
	surfaceparm	nonsolid
	polygonOffset
	q3map_nolightmap
    {
        map textures/desert/mp_3_circle_decal
        blendFunc GL_ONE GL_ONE
        depthWrite
        rgbGen const ( 0.650000 0.600000 0.350000 )
    }
}

textures/taspirpowercomplex/mp_2_circle_decal
{
	qer_editorimage	textures/desert/mp_2_circle_decal
	surfaceparm	nonsolid
	polygonOffset
	q3map_nolightmap
    {
        map textures/desert/mp_2_circle_decal
        blendFunc GL_ONE GL_ONE
        depthWrite
        rgbGen const ( 0.650000 0.600000 0.350000 )
    }
}

textures/taspirpowercomplex/mp_1_circle_decal
{
	qer_editorimage	textures/desert/mp_1_circle_decal
	surfaceparm	nonsolid
	polygonOffset
	q3map_nolightmap
    {
        map textures/desert/mp_1_circle_decal
        blendFunc GL_ONE GL_ONE
        depthWrite
        rgbGen const ( 0.650000 0.600000 0.350000 )
    }
}

textures/taspirpowercomplex/server_side_2
{
	qer_editorimage	textures/doomgiver/deathcon1
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/doomgiver/deathcon1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/doomgiver/deathcon1glow
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 1 0.15 0 7
    }
}

textures/taspirpowercomplex/server_front
{
	qer_editorimage	textures/doomgiver/deathcon1a
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/doomgiver/deathcon1a
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/taspirpowercomplex/server_front_screen
        blendFunc GL_ONE GL_ONE
        rgbGen wave noise 1 0.07 0 24
    }
    {
        map textures/taspirpowercomplex/server_front_lights
        blendFunc GL_ONE GL_ONE
        rgbGen wave noise 0.9 0.23 0 2
    }
}

textures/taspirpowercomplex/server_side_1
{
	qer_editorimage	textures/doomgiver/comm_room
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/doomgiver/comm_room
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/doomgiver/comm_roomglow
        blendFunc GL_ONE GL_ONE
        rgbGen wave noise 1 0.1 0 14
    }
}

textures/taspirpowercomplex/room_1_pic_1
{
	qer_editorimage	textures/taspirpowercomplex/room_1_pic_1
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_1_pic_1
    }
}

textures/taspirpowercomplex/room_1_pic_2
{
	qer_editorimage	textures/taspirpowercomplex/room_1_pic_2
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_1_pic_2
    }
}

textures/taspirpowercomplex/room_2_pic_1
{
	qer_editorimage	textures/taspirpowercomplex/room_2_pic_1
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_2_pic_1
    }
}

textures/taspirpowercomplex/room_2_pic_2
{
	qer_editorimage	textures/taspirpowercomplex/room_2_pic_2
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_2_pic_2
    }
}

textures/taspirpowercomplex/room_3_pic_1
{
	qer_editorimage	textures/taspirpowercomplex/room_3_pic_1
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_3_pic_1
    }
}

textures/taspirpowercomplex/room_3_pic_2
{
	qer_editorimage	textures/taspirpowercomplex/room_3_pic_2
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_3_pic_2
    }
}

textures/taspirpowercomplex/room_4_pic_1
{
	qer_editorimage	textures/taspirpowercomplex/room_4_pic_1
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_4_pic_1
    }
}

textures/taspirpowercomplex/room_5_pic_1
{
	qer_editorimage	textures/taspirpowercomplex/room_1_pic_1
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_1_pic_1
    }
}

textures/taspirpowercomplex/room_5_pic_2
{
	qer_editorimage	textures/taspirpowercomplex/room_4_pic_2
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_4_pic_2
    }
}

textures/taspirpowercomplex/room_6_pic_1
{
	qer_editorimage	textures/taspirpowercomplex/room_6_pic_1
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_6_pic_1
    }
}

textures/taspirpowercomplex/room_6_pic_2
{
	qer_editorimage	textures/taspirpowercomplex/room_6_pic_2
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_6_pic_2
    }
}

textures/taspirpowercomplex/room_7_pic_1
{
	qer_editorimage	textures/taspirpowercomplex/room_7_pic_1
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_7_pic_1
    }
}

textures/taspirpowercomplex/room_7_pic_2
{
	qer_editorimage	textures/taspirpowercomplex/room_7_pic_2
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_7_pic_2
    }
}

textures/taspirpowercomplex/room_8_pic_1
{
	qer_editorimage	textures/taspirpowercomplex/room_8_pic_1
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_8_pic_1
    }
}

textures/taspirpowercomplex/room_8_pic_2
{
	qer_editorimage	textures/taspirpowercomplex/room_8_pic_2
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/room_8_pic_2
    }
}

textures/taspirpowercomplex/byss_pillar_nonsolid
{
	qer_editorimage	textures/byss/byss_pillar
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/byss/byss_pillar
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/taspirpowercomplex/redlaser
{
	qer_editorimage	textures/taspirpowercomplex/gradiant
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
	q3map_novertexshadows
	cull	twosided
	deformvertexes	autoSprite2	
    {
        map textures/taspirpowercomplex/laser
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 1.000000 0.000000 0.000000 )
        tcMod scroll 0 50
    }
}

textures/taspirpowercomplex/bluelaser
{
	qer_editorimage	textures/taspirpowercomplex/gradiant
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
	q3map_novertexshadows
	cull	twosided
	deformvertexes	autoSprite2	
    {
        map textures/taspirpowercomplex/laser
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.000000 0.000000 1.000000 )
        tcMod scroll 0 -50
    }
}

textures/taspirpowercomplex/taspir_bar_menu
{
	qer_editorimage	textures/taspirpowercomplex/taspir_bar_menu
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/taspir_bar_menu
        rgbGen const ( 0.750000 0.750000 0.750000 )
    }
}

textures/taspirpowercomplex/curtain
{
	qer_editorimage	textures/taspirpowercomplex/curtain
	surfaceparm	nonsolid
	cull	twosided
    {
        map $lightmap
    }
    {
        map textures/taspirpowercomplex/curtain
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/taspirpowercomplex/unlock_bedrooms
{
	qer_editorimage	textures/taspirpowercomplex/unlock_bedrooms
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/unlock_bedrooms
    }
}

textures/taspirpowercomplex/glass
{
	qer_editorimage	textures/common/glass2.tga
	q3map_tesssize	48
	qer_trans	0.5
	surfaceparm	nonsolid
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	q3map_nolightmap
    {
        map textures/common/glass2
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.2
    }
}

textures/taspirpowercomplex/toilet
{
	qer_editorimage	textures/taspirpowercomplex/xps600_top
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/taspirpowercomplex/xps600_top
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/taspirpowercomplex/toilet_seat
{
	qer_editorimage	textures/taspirpowercomplex/xpsm170_trim
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/taspirpowercomplex/xpsm170_trim
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/taspirpowercomplex/noimpact_nodamage
{
	qer_editorimage	textures/system/noimpact
	qer_trans	0.5
	surfaceparm	nodamage
	surfaceparm	noimpact
	surfaceparm	nodraw
	surfaceparm	nonopaque
	surfaceparm	trans
}

textures/taspirpowercomplex/color_bubbles
{
	qer_editorimage	textures/taspirpowercomplex/white_flare
	surfaceparm	slick
	surfaceparm	nodamage
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	q3map_nolightmap
	cull	twosided
    {
        map textures/taspirpowercomplex/white_flare
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 1.000000 0.000000 0.000000 )
        tcMod scale 1.5 1.5
        tcMod scroll 0 -0.3
    }
    {
        map textures/taspirpowercomplex/white_flare
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.000000 1.000000 0.000000 )
        tcMod scroll 0 0.3
        tcMod scale 1.2 1.2
    }
    {
        map textures/taspirpowercomplex/white_flare
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.000000 0.000000 1.000000 )
        tcMod scroll 0 -0.5
        tcMod scale -1 -1.2
    }
    {
        map textures/taspirpowercomplex/white_flare
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 1.000000 1.000000 0.000000 )
        tcMod scroll 0 0.2
        tcMod scale 2 2
    }
    {
        map textures/taspirpowercomplex/white_flare
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.000000 1.000000 1.000000 )
        tcMod scroll 0 -0.6
        tcMod scale 0.3 0.3
    }
    {
        map textures/taspirpowercomplex/white_flare
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 1.000000 0.000000 1.000000 )
        tcMod scroll 0 0.2
        tcMod scale 1.3 1.3
    }
}

textures/taspirpowercomplex/tie-bomber
{
	qer_editorimage	textures/taspirpowercomplex/tie-bomber
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/tie-bomber
        rgbGen const ( 0.750000 0.750000 0.750000 )
    }
}

textures/taspirpowercomplex/tiefighterspawner
{
	qer_editorimage	textures/taspirpowercomplex/tiefighterspawner
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/tiefighterspawner
        rgbGen const ( 0.750000 0.750000 0.750000 )
    }
}

textures/taspirpowercomplex/z95
{
	qer_editorimage	textures/taspirpowercomplex/z95
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/z95
        rgbGen const ( 0.750000 0.750000 0.750000 )
    }
}

textures/taspirpowercomplex/xwing
{
	qer_editorimage	textures/taspirpowercomplex/xwing
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/xwing
        rgbGen const ( 0.750000 0.750000 0.750000 )
    }
}

textures/taspirpowercomplex/solid_slick_tube
{
	qer_editorimage	textures/taspir/pipes
	surfaceparm	slick
	surfaceparm	nodamage
	surfaceparm	noimpact
	surfaceparm	nomarks
	q3map_nolightmap
	cull	twosided
    {
        map textures/taspir/pipes
        rgbGen const ( 0.550000 0.550000 0.550000 )
    }
}

textures/taspirpowercomplex/solid_slick
{
	qer_editorimage	textures/system/slick
	qer_trans	0.35
	surfaceparm	slick
	surfaceparm	nodamage
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nodraw
	surfaceparm	nonopaque
	surfaceparm	trans
}

textures/taspirpowercomplex/upsize
{
	qer_editorimage	textures/taspirpowercomplex/upsize
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/upsize
    }
}

textures/taspirpowercomplex/teleporterhub
{
	qer_editorimage	textures/taspirpowercomplex/teleporterhub
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/teleporterhub
    }
}

textures/taspirpowercomplex/spawningroom
{
	qer_editorimage	textures/taspirpowercomplex/spawningroom
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/spawningroom
    }
}

textures/taspirpowercomplex/slower_game
{
	qer_editorimage	textures/taspirpowercomplex/slower_game
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/slower_game
    }
}

textures/taspirpowercomplex/slow_game
{
	qer_editorimage	textures/taspirpowercomplex/slow_game
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/slow_game
    }
}

textures/taspirpowercomplex/rotating_center
{
	qer_editorimage	textures/taspirpowercomplex/rotating_center
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/rotating_center
    }
}

textures/taspirpowercomplex/passkey
{
	qer_editorimage	textures/taspirpowercomplex/passkey
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/passkey
    }
}

textures/taspirpowercomplex/observationarea
{
	qer_editorimage	textures/taspirpowercomplex/observationarea
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/observationarea
    }
}

textures/taspirpowercomplex/normal_game
{
	qer_editorimage	textures/taspirpowercomplex/normal_game
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/normal_game
    }
}

textures/taspirpowercomplex/music3
{
	qer_editorimage	textures/taspirpowercomplex/music3
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/music3
    }
}

textures/taspirpowercomplex/music2
{
	qer_editorimage	textures/taspirpowercomplex/music2
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/music2
    }
}

textures/taspirpowercomplex/music1
{
	qer_editorimage	textures/taspirpowercomplex/music1
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/music1
    }
}

textures/taspirpowercomplex/lockmcr
{
	qer_editorimage	textures/taspirpowercomplex/lockmcr
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/lockmcr
    }
}

textures/taspirpowercomplex/lavastate
{
	qer_editorimage	textures/taspirpowercomplex/lavastate
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/lavastate
    }
}

textures/taspirpowercomplex/lavaflood
{
	qer_editorimage	textures/taspirpowercomplex/lavaflood
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/lavaflood
    }
}

textures/taspirpowercomplex/killnpcs
{
	qer_editorimage	textures/taspirpowercomplex/killnpcs
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/killnpcs
    }
}

textures/taspirpowercomplex/entermcr
{
	qer_editorimage	textures/taspirpowercomplex/entermcr
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/entermcr
    }
}

textures/taspirpowercomplex/emptymcr
{
	qer_editorimage	textures/taspirpowercomplex/emptymcr
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/emptymcr
    }
}

textures/taspirpowercomplex/downsize
{
	qer_editorimage	textures/taspirpowercomplex/downsize
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/downsize
    }
}

textures/taspirpowercomplex/billboards
{
	qer_editorimage	textures/taspirpowercomplex/billboards
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/billboards
    }
}

textures/taspirpowercomplex/allowguests
{
	qer_editorimage	textures/taspirpowercomplex/allowguests
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/allowguests
    }
}

textures/taspirpowercomplex/vjun_basemetal6_nonsolid
{
	qer_editorimage	textures/vjun/basemetal6
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/vjun/basemetal6
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/taspirpowercomplex/arrow_decal
{
	qer_editorimage	textures/taspirpowercomplex/arrow
	surfaceparm	nonsolid
	polygonOffset
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/arrow
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/taspirpowercomplex/vending_machine_front
{
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/vending_machine_front
        rgbGen const ( 0.900000 0.900000 0.900000 )
    }
}

textures/taspirpowercomplex/landing_pad_lightmap_night
{
	qer_editorimage	textures/taspir/landing_pad
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/landing_pad_wipe
        glow
        tcMod scroll 0.35 -0.35
    }
    {
        map textures/taspir/landing_pad
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        glow
        rgbGen const ( 0.710000 0.710000 0.760000 )
    }
    {
        map textures/taspir/landingplat_glw
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave inversesawtooth 0.6 0.4 0.14 0.35
    }
}

textures/taspirpowercomplex/landing_pad_lightmap
{
	qer_editorimage	textures/taspir/landing_pad
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/landing_pad_wipe
        glow
        tcMod scroll 0.35 -0.35
    }
    {
        map textures/taspir/landing_pad
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        glow
        rgbGen const ( 0.820000 0.820000 0.750000 )
    }
    {
        map textures/taspir/landingplat_glw
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave inversesawtooth 0.6 0.4 0.14 0.35
    }
}

textures/taspirpowercomplex/telehub_shell
{
	qer_editorimage	textures/taspirpowercomplex/telehub_black
	qer_trans	0.7
	surfaceparm	nonopaque
	q3map_nolightmap
	q3map_novertexshadows
    {
        map textures/taspirpowercomplex/telehub_black
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.1
    }
    {
        map textures/taspirpowercomplex/blue_flash
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen wave sin -100 100.4 0 0.13
    }
    {
        map textures/taspirpowercomplex/red_flash
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen wave sin -130 130.4 0 0.165
    }
    {
        map textures/taspirpowercomplex/yellow_flash
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen wave sin -170 170.4 0 0.19
    }
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen wave sin -190 191.5 0 0.2
    }
}

textures/taspirpowercomplex/solid_blue
{
	qer_editorimage	textures/flares/solid_blue
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
    {
        map textures/flares/solid_blue
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen exactVertex
        alphaGen const 0.6
    }
}

textures/taspirpowercomplex/solid_red
{
	qer_editorimage	textures/flares/solid_red
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
    {
        map textures/flares/solid_red
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen exactVertex
        alphaGen const 0.5
    }
}

textures/taspirpowercomplex/t_wall2_nonsolid
{
	qer_editorimage	textures/taspir/t_wall2
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/taspir/t_wall2
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/taspirpowercomplex/door_b_glow
{
	qer_editorimage	textures/taspir/door_b
    {
        map $lightmap
    }
    {
        map textures/taspir/door_b
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/taspir/door_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/taspirpowercomplex/door_g_glow
{
	qer_editorimage	textures/taspir/door_g
    {
        map $lightmap
    }
    {
        map textures/taspir/door_g
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/taspir/door_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/taspirpowercomplex/door_r_glow
{
	qer_editorimage	textures/taspir/door_r
    {
        map $lightmap
    }
    {
        map textures/taspir/door_r
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/taspir/door_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/taspirpowercomplex/door_y_glow
{
	qer_editorimage	textures/taspir/door_y
    {
        map $lightmap
    }
    {
        map textures/taspir/door_y
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/taspir/door_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/taspirpowercomplex/billboard
{
	qer_editorimage	textures/taspirpowercomplex/billboard
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/billboard
        rgbGen const ( 0.800000 0.800000 0.800000 )
    }
}

textures/taspirpowercomplex/billboard_night
{
	qer_editorimage	textures/taspirpowercomplex/billboard
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/billboard
        rgbGen const ( 0.600000 0.600000 0.600000 )
    }
}

textures/taspirpowercomplex/solid_lava_v3
{
	qer_editorimage	textures/desert/m8
	q3map_nolightmap
    {
        map textures/desert/m8
        glow
        rgbGen const ( 1.000000 0.200000 0.000000 )
    }
}

textures/taspirpowercomplex/still_lava
{
	qer_editorimage	textures/taspirpowercomplex/lava
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	lava
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_novertexshadows
	cull	twosided
    {
        map textures/taspirpowercomplex/lava
        glow
        rgbGen wave sin 1.3 0.375 0 0.1
        tcMod scale 0.6 0.6
    }
}

textures/taspirpowercomplex/still_lava_v3
{
	qer_editorimage	textures/taspirpowercomplex/lava
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	lava
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_novertexshadows
	cull	twosided
    {
        map textures/taspirpowercomplex/lava
        rgbGen wave sin 0.9 0.1 0 0.2
        tcMod turb 0 -0.05 0 0.038
        tcMod scroll 0.0055 0.003
        tcMod rotate 1
    }
    {
        map textures/taspirpowercomplex/lava
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.9 0.1 0 0.2
        tcMod turb 0 0.035 0 0.1
        tcMod scroll -0.005 0.005
    }
    {
        map textures/taspirpowercomplex/lava
        blendFunc GL_ONE GL_SRC_ALPHA
        glow
        rgbGen wave sin 1.3 0.415 0 0.1
        alphaGen const 0.2
    }
}

textures/taspirpowercomplex/slow_lava_onesided
{
	qer_editorimage	textures/taspirpowercomplex/lava
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	lava
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_novertexshadows
    {
        map textures/taspirpowercomplex/lava
        glow
        rgbGen wave sin 1.3 0.375 0 0.1
        tcMod scroll 0.08 0.13
        tcMod turb 0.99 0.01 0 0.35
    }
}

textures/taspirpowercomplex/slow_lava_onesided_2
{
	qer_editorimage	textures/taspirpowercomplex/lava
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	lava
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_novertexshadows
    {
        map textures/taspirpowercomplex/lava
        glow
        rgbGen wave sin 1.3 0.375 0 0.1
        tcMod scale 1 0.95
        tcMod scroll 0 -0.07
    }
}

textures/taspirpowercomplex/fast_lava
{
	qer_editorimage	textures/taspirpowercomplex/lava
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	lava
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_novertexshadows
	cull	twosided
    {
        map textures/taspirpowercomplex/lava
        glow
        rgbGen wave sin 1.3 0.375 0 0.1
        tcMod scroll 0 -0.55
    }
}

textures/taspirpowercomplex/fast_lava_v3
{
	qer_editorimage	textures/taspirpowercomplex/lava
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	lava
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_novertexshadows
	cull	twosided
    {
        map textures/taspirpowercomplex/lava
        glow
        rgbGen wave sin 1.3 0.375 0 0.1
        tcMod scroll 0 -0.55
    }
}

textures/taspirpowercomplex/fast_lava_onesided
{
	qer_editorimage	textures/taspirpowercomplex/lava
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	lava
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_novertexshadows
    {
        map textures/taspirpowercomplex/lava
        glow
        rgbGen wave sin 1.3 0.375 0 0.1
        tcMod scroll 0 -0.65
    }
}

textures/taspirpowercomplex/fast_lava_onesided_v3
{
	qer_editorimage	textures/taspirpowercomplex/lava
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	lava
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_novertexshadows
    {
        map textures/taspirpowercomplex/lava
        glow
        rgbGen wave sin 1.3 0.375 0 0.1
        tcMod scroll 0 -0.65
    }
}

textures/taspirpowercomplex/slow_lava
{
	qer_editorimage	textures/taspirpowercomplex/lava
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	lava
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_novertexshadows
	cull	twosided
    {
        map textures/taspirpowercomplex/lava
        glow
        rgbGen wave sin 1.3 0.375 0 0.1
        tcMod scroll 0 -0.07
    }
}

textures/taspirpowercomplex/brainshader
{
	qer_editorimage	textures/taspirpowercomplex/brain1
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	q3map_nolightmap
    {
        animMap 9 textures/taspirpowercomplex/brain1 textures/taspirpowercomplex/brain2 textures/taspirpowercomplex/brain3 textures/taspirpowercomplex/brain4 textures/taspirpowercomplex/brain5 textures/taspirpowercomplex/brain6 
        rgbGen const ( 0.850000 0.850000 0.850000 )
    }
}

textures/taspirpowercomplex/barstool_top
{
	qer_editorimage	textures/taspirpowercomplex/fixed_rail_circularthingy
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/taspirpowercomplex/fixed_rail_circularthingy
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/taspirpowercomplex/barstool_side1
{
	qer_editorimage	textures/factory/crate_trim6
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/factory/crate_trim6
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/taspirpowercomplex/barstool_side2
{
	qer_editorimage	textures/factory/crate_trim7
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/factory/crate_trim7
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/taspirpowercomplex/photorealistic_metal071_nonsolid
{
	qer_editorimage	textures/photorealistic/metal071
	surfaceparm	nonsolid
    {
        map $lightmap
    }
    {
        map textures/photorealistic/metal071
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/taspirpowercomplex/tpcsky
{
	qer_editorimage	textures/skies/sky
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nodlight
	notc
	q3map_nolightmap
	skyParms	textures/taspirpowercomplex/tpcsky/tpc 1024 -
}

textures/taspirpowercomplex/tpc_space_sky
{
	qer_editorimage	textures/skies/sky
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nodlight
	notc
	q3map_nolightmap
	skyParms	textures/taspirpowercomplex/tpcsky/tpc_space 1024 -
}

textures/taspirpowercomplex/tpcsky_night
{
	qer_editorimage	textures/skies/sky
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nodlight
	notc
	q3map_nolightmap
	skyParms	textures/taspirpowercomplex/tpcsky/tpc_night 1024 -
}

textures/taspirpowercomplex/rust_glow_g
{
	qer_editorimage	textures/taspir/512_512rust
    {
        map $lightmap
    }
    {
        map textures/taspir/512_512rust
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/taspirpowercomplex/512_512rust_glow_g
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

textures/taspirpowercomplex/triforce_shader
{
	qer_editorimage	textures/taspirpowercomplex/triforce
	surfaceparm	nomarks
	q3map_nolightmap
	q3map_novertexshadows
    {
        map textures/taspirpowercomplex/triforce
    }
}

textures/taspirpowercomplex/grating
{
	qer_editorimage	textures/taspirpowercomplex/square_grating
	surfaceparm	metalsteps
	cull	twosided
    {
        map textures/taspirpowercomplex/square_grating
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/taspirpowercomplex/tpc_floorgrate
{
	qer_editorimage	textures/imperial/floorgrate
	surfaceparm	metalsteps
	cull	twosided
    {
        map textures/imperial/floorgrate
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_ZERO GL_SRC_COLOR
    }
}

textures/taspirpowercomplex/telehub
{
	qer_editorimage	textures/factory/opipe_b
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	q3map_nolightmap
	q3map_novertexshadows
    {
        map textures/factory/opipe_p
        blendFunc GL_ONE GL_SRC_COLOR
        rgbGen wave sin 0.55 0.1 0 0.33
        tcMod scroll 0.05 0.03
        tcMod turb 0 0.13 0 0.15
    }
    {
        map textures/factory/opipe_p
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.54 0.1 0 0.54
        tcMod scroll -0.08 0.055
        tcMod turb 0.9 0.1 0 0.1
    }
    {
        map textures/factory/opipe_b
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen wave sin 0.9 0.1 0 0.23
        tcMod scroll -0.04 -0.028
    }
}

textures/taspirpowercomplex/gradiant
{
	qer_editorimage	textures/taspirpowercomplex/gradiant
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
	q3map_novertexshadows
	cull	twosided
    {
        map textures/taspirpowercomplex/gradiant
        blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE
        rgbGen wave sin 0.06 0.003 0 7
    }
}

textures/taspirpowercomplex/nab622tv_shader
{
	qer_editorimage	textures/taspirpowercomplex/nab622tv
	surfaceparm	nomarks
	surfaceparm	nonopaque
	q3map_nolightmap
	q3map_novertexshadows
    {
        map textures/taspirpowercomplex/nab622tv
    }
}

textures/taspirpowercomplex/clan_logo_1
{
	qer_editorimage	textures/taspirpowercomplex/logo_medium
	polygonOffset
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/logo_medium
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/taspirpowercomplex/clan_logo_2
{
	qer_editorimage	textures/taspirpowercomplex/logo_text
	polygonOffset
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/logo_text
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/taspirpowercomplex/clan_logo_3
{
	qer_editorimage	textures/taspirpowercomplex/logo_large
	polygonOffset
	q3map_nolightmap
    {
        map textures/taspirpowercomplex/logo_large
        blendFunc GL_ONE GL_SRC_ALPHA
        glow
        alphaGen blend
    }
}

textures/taspirpowercomplex/square_securityGlass_nonsolid
{
	qer_editorimage	textures/common/sglass5
	qer_trans	0.9
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	forcefield
	surfaceparm	trans
	q3map_material	Glass
	q3map_nolightmap
    {
        map textures/common/etest4
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
    {
        map textures/common/sglass5
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/photorealistic/asteroid
{
	qer_editorimage	textures/photorealistic/asteroid
	q3map_nolightmap
    {
        map textures/photorealistic/asteroid
        rgbGen const ( 0.800000 0.700000 0.575000 )
    }
}

models/tpcv3/tpc_lava_ring
{
	qer_editorimage	models/tpcv3/tpc_lava_ring
	q3map_lightmapsamplesize	4
	q3map_lightmapaxis z
	q3map_lightmapsampleoffset 8.0
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	q3map_nonplanar
	q3map_clipmodel
	q3map_splotchfix
	q3map_forcemeta
	q3map_novertexshadows
    {
        map $lightmap
    }
    {
        map models/tpcv3/tpc_lava_ring
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map models/tpcv3/tpc_lava_ring_glow
        blendFunc GL_ONE GL_ONE
    }
}

